#include<stdio.h>
#include<math.h>

const double EPS = 1e-4;

double f(double x)
{
	return 3*x - 4 * log(x) - 5;
}

double fp(double x)
{
	return 3 - 4 * (1/x);
}

int main()
{
	double prev = 2, cur; //prev - x (k-1), cur - x k-
	cur = prev - f(prev)/fp(prev);
	while(abs(cur - prev) > EPS)
	{
		prev = cur;
		cur = cur - f(cur)/fp(cur);
	}

	printf("%lf\n", cur);
	return 0;
}